/Users/bernard/b20/bsoft/include/rwFASTA.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwFASTA.h - Header file for reading and writing FASTA sequence files.

SYNOPSIS

#include 'rwmolecule.h'

  Functions
int readFASTA (Bstring &filename, Bmolgroup *molgroup)
Reads FASTA format sequence files.
int writeFASTA (Bstring &filename, Bmolgroup *molgroup)
Writes FASTA format sequence files.

Detailed Description

Header file for reading and writing FASTA sequence files.

Author:
    Bernard Heymann

Date:
    Created: 20001112

    Modified: 20001112

    Format: Protein sequence file format

Definition in file rwFASTA.h.

Function Documentation

  int readFASTA (Bstring & filename, Bmolgroup * molgroup)

Reads FASTA format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    FASTA format:
    >1hiwa TRIMERIC HIV-1 MATRIX PROTEIN   MOLECULE: HIV-1 MATRIX PROTEIN;   CHAIN:
    VLSGGELDKWEKIRLRPGGKKQYKLKHIVWASRELERFAVNPGLLETSEGCRQILGQLQPSLQTGSEELRSLYNTIAVLY
    CVHQRIDVKDTKEALDKIEEEQNKSKKKAQQAAAD

Definition at line 28 of file rwFASTA.cpp.

  int writeFASTA (Bstring & filename, Bmolgroup * molgroup)

Writes FASTA format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

Definition at line 100 of file rwFASTA.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.